// ======================================================================
// AND_OR.v generated from TopDesign.cysch
// 04/12/2012 at 23:05
// ======================================================================

/* -- WARNING: The following section of defines are deprecated and will be removed in a future release -- */
`define CYDEV_CHIP_DIE_LEOPARD 1
`define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
`define CYDEV_CHIP_REV_LEOPARD_ES3 3
`define CYDEV_CHIP_REV_LEOPARD_ES2 1
`define CYDEV_CHIP_REV_LEOPARD_ES1 0
`define CYDEV_CHIP_DIE_PANTHER 2
`define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1
`define CYDEV_CHIP_REV_PANTHER_ES1 1
`define CYDEV_CHIP_REV_PANTHER_ES0 0
`define CYDEV_CHIP_DIE_EXPECT 1
`define CYDEV_CHIP_REV_EXPECT 3
`define CYDEV_CHIP_DIE_ACTUAL 1
/* -- WARNING: The previous section of defines are deprecated and will be removed in a future release -- */
`define CYDEV_CHIP_FAMILY_UNKNOWN 0
`define CYDEV_CHIP_MEMBER_UNKNOWN 0
`define CYDEV_CHIP_FAMILY_PSOC3 1
`define CYDEV_CHIP_MEMBER_3A 1
`define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
`define CYDEV_CHIP_REVISION_3A_ES3 3
`define CYDEV_CHIP_REVISION_3A_ES2 1
`define CYDEV_CHIP_REVISION_3A_ES1 0
`define CYDEV_CHIP_FAMILY_PSOC5 2
`define CYDEV_CHIP_MEMBER_5A 2
`define CYDEV_CHIP_REVISION_5A_PRODUCTION 1
`define CYDEV_CHIP_REVISION_5A_ES1 1
`define CYDEV_CHIP_REVISION_5A_ES0 0
`define CYDEV_CHIP_FAMILY_USED 1
`define CYDEV_CHIP_MEMBER_USED 1
`define CYDEV_CHIP_REVISION_USED 3
// Component: and_v1_0
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\and_v1_0"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\and_v1_0\and_v1_0.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\2.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\and_v1_0"
`include "C:\Program Files\Cypress\PSoC Creator\2.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\and_v1_0\and_v1_0.v"
`endif

// Component: or_v1_0
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\or_v1_0"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\or_v1_0\or_v1_0.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\2.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\or_v1_0"
`include "C:\Program Files\Cypress\PSoC Creator\2.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\or_v1_0\or_v1_0.v"
`endif

// top
module top ;

    electrical  Net_76;
    electrical  Net_75;
    electrical  Net_74;
    electrical  Net_73;
    wire  Net_6;
    wire  Net_3;
    electrical  Net_26;
    electrical  Net_24;
    electrical  Net_22;
    electrical  Net_20;
    electrical  Net_27;
    electrical  Net_25;
    electrical  Net_23;
    electrical  Net_21;
    electrical  Net_30;
    electrical  Net_28;
    wire  Net_19;
    wire  Net_18;
    wire  Net_14;
    wire  Net_7;


    assign Net_3 = Net_19 & Net_18;


    assign Net_6 = Net_14 | Net_7;

	wire [0:0] tmpOE__AND_A_net;
	wire [0:0] tmpIO_0__AND_A_net;
	wire [0:0] tmpINTERRUPT_0__AND_A_net;
	electrical [0:0] tmpSIOVREF__AND_A_net;

	cy_psoc3_pins_v1_10
		#(.id("1425177d-0d0e-4468-8bcc-e638e5509a9b"),
		  .drive_mode(3'b011),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .oe_conn(1'b0),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("I"),
		  .por_state(4),
		  .use_annotation(1'b1),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b00),
		  .width(1))
		AND_A
		 (.oe(tmpOE__AND_A_net),
		  .y({1'b0}),
		  .fb({Net_18}),
		  .io({tmpIO_0__AND_A_net[0:0]}),
		  .siovref(tmpSIOVREF__AND_A_net),
		  .interrupt({tmpINTERRUPT_0__AND_A_net[0:0]}),
		  .annotation({Net_21}));

	assign tmpOE__AND_A_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__AND_B_net;
	wire [0:0] tmpIO_0__AND_B_net;
	wire [0:0] tmpINTERRUPT_0__AND_B_net;
	electrical [0:0] tmpSIOVREF__AND_B_net;

	cy_psoc3_pins_v1_10
		#(.id("daeaf52d-d588-4eab-a2aa-c25eda3e6626"),
		  .drive_mode(3'b011),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .oe_conn(1'b0),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("I"),
		  .por_state(4),
		  .use_annotation(1'b1),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b00),
		  .width(1))
		AND_B
		 (.oe(tmpOE__AND_B_net),
		  .y({1'b0}),
		  .fb({Net_19}),
		  .io({tmpIO_0__AND_B_net[0:0]}),
		  .siovref(tmpSIOVREF__AND_B_net),
		  .interrupt({tmpINTERRUPT_0__AND_B_net[0:0]}),
		  .annotation({Net_23}));

	assign tmpOE__AND_B_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__OR_A_net;
	wire [0:0] tmpIO_0__OR_A_net;
	wire [0:0] tmpINTERRUPT_0__OR_A_net;
	electrical [0:0] tmpSIOVREF__OR_A_net;

	cy_psoc3_pins_v1_10
		#(.id("3ffc0da1-365e-4f02-a466-2cc075ff0fc4"),
		  .drive_mode(3'b011),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .oe_conn(1'b0),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("I"),
		  .por_state(4),
		  .use_annotation(1'b1),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b00),
		  .width(1))
		OR_A
		 (.oe(tmpOE__OR_A_net),
		  .y({1'b0}),
		  .fb({Net_7}),
		  .io({tmpIO_0__OR_A_net[0:0]}),
		  .siovref(tmpSIOVREF__OR_A_net),
		  .interrupt({tmpINTERRUPT_0__OR_A_net[0:0]}),
		  .annotation({Net_25}));

	assign tmpOE__OR_A_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__OR_B_net;
	wire [0:0] tmpIO_0__OR_B_net;
	wire [0:0] tmpINTERRUPT_0__OR_B_net;
	electrical [0:0] tmpSIOVREF__OR_B_net;

	cy_psoc3_pins_v1_10
		#(.id("709f6c8c-3fa9-43eb-8cff-97477f474329"),
		  .drive_mode(3'b011),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .oe_conn(1'b0),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("I"),
		  .por_state(4),
		  .use_annotation(1'b1),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b00),
		  .width(1))
		OR_B
		 (.oe(tmpOE__OR_B_net),
		  .y({1'b0}),
		  .fb({Net_14}),
		  .io({tmpIO_0__OR_B_net[0:0]}),
		  .siovref(tmpSIOVREF__OR_B_net),
		  .interrupt({tmpINTERRUPT_0__OR_B_net[0:0]}),
		  .annotation({Net_27}));

	assign tmpOE__OR_B_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__AND_Q_net;
	wire [0:0] tmpFB_0__AND_Q_net;
	wire [0:0] tmpIO_0__AND_Q_net;
	wire [0:0] tmpINTERRUPT_0__AND_Q_net;
	electrical [0:0] tmpSIOVREF__AND_Q_net;

	cy_psoc3_pins_v1_10
		#(.id("ed092b9b-d398-4703-be89-cebf998501f6"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .oe_conn(1'b0),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .use_annotation(1'b1),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		AND_Q
		 (.oe(tmpOE__AND_Q_net),
		  .y({Net_3}),
		  .fb({tmpFB_0__AND_Q_net[0:0]}),
		  .io({tmpIO_0__AND_Q_net[0:0]}),
		  .siovref(tmpSIOVREF__AND_Q_net),
		  .interrupt({tmpINTERRUPT_0__AND_Q_net[0:0]}),
		  .annotation({Net_28}));

	assign tmpOE__AND_Q_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__OR_Q_net;
	wire [0:0] tmpFB_0__OR_Q_net;
	wire [0:0] tmpIO_0__OR_Q_net;
	wire [0:0] tmpINTERRUPT_0__OR_Q_net;
	electrical [0:0] tmpSIOVREF__OR_Q_net;

	cy_psoc3_pins_v1_10
		#(.id("f6189d36-279c-46e8-9251-17de1a6e8a36"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .oe_conn(1'b0),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .use_annotation(1'b1),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		OR_Q
		 (.oe(tmpOE__OR_Q_net),
		  .y({Net_6}),
		  .fb({tmpFB_0__OR_Q_net[0:0]}),
		  .io({tmpIO_0__OR_Q_net[0:0]}),
		  .siovref(tmpSIOVREF__OR_Q_net),
		  .interrupt({tmpINTERRUPT_0__OR_Q_net[0:0]}),
		  .annotation({Net_30}));

	assign tmpOE__OR_Q_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

    cy_annotation_universal_v1_0 SW_1 (
        .connect({
            Net_20,
            Net_21
        })
    );
    defparam SW_1.comp_name = "SwitchSPST_v1_0";
    defparam SW_1.port_names = "T1, T2";
    defparam SW_1.width = 2;

    cy_annotation_universal_v1_0 SW_2 (
        .connect({
            Net_22,
            Net_23
        })
    );
    defparam SW_2.comp_name = "SwitchSPST_v1_0";
    defparam SW_2.port_names = "T1, T2";
    defparam SW_2.width = 2;

    cy_annotation_universal_v1_0 SW_3 (
        .connect({
            Net_24,
            Net_25
        })
    );
    defparam SW_3.comp_name = "SwitchSPST_v1_0";
    defparam SW_3.port_names = "T1, T2";
    defparam SW_3.width = 2;

    cy_annotation_universal_v1_0 SW_4 (
        .connect({
            Net_26,
            Net_27
        })
    );
    defparam SW_4.comp_name = "SwitchSPST_v1_0";
    defparam SW_4.port_names = "T1, T2";
    defparam SW_4.width = 2;

    cy_annotation_universal_v1_0 R_1 (
        .connect({
            Net_28,
            Net_73
        })
    );
    defparam R_1.comp_name = "Resistor_v1_0";
    defparam R_1.port_names = "T1, T2";
    defparam R_1.width = 2;

    cy_annotation_universal_v1_0 R_2 (
        .connect({
            Net_30,
            Net_74
        })
    );
    defparam R_2.comp_name = "Resistor_v1_0";
    defparam R_2.port_names = "T1, T2";
    defparam R_2.width = 2;

    cy_annotation_universal_v1_0 PWR_1 (
        .connect({
            Net_20
        })
    );
    defparam PWR_1.comp_name = "Power_v1_0";
    defparam PWR_1.port_names = "T1";
    defparam PWR_1.width = 1;

    cy_annotation_universal_v1_0 PWR_2 (
        .connect({
            Net_22
        })
    );
    defparam PWR_2.comp_name = "Power_v1_0";
    defparam PWR_2.port_names = "T1";
    defparam PWR_2.width = 1;

    cy_annotation_universal_v1_0 PWR_3 (
        .connect({
            Net_24
        })
    );
    defparam PWR_3.comp_name = "Power_v1_0";
    defparam PWR_3.port_names = "T1";
    defparam PWR_3.width = 1;

    cy_annotation_universal_v1_0 PWR_4 (
        .connect({
            Net_26
        })
    );
    defparam PWR_4.comp_name = "Power_v1_0";
    defparam PWR_4.port_names = "T1";
    defparam PWR_4.width = 1;

    cy_annotation_universal_v1_0 D_1 (
        .connect({
            Net_73,
            Net_75
        })
    );
    defparam D_1.comp_name = "LED_v1_0";
    defparam D_1.port_names = "A, K";
    defparam D_1.width = 2;

    cy_annotation_universal_v1_0 D_2 (
        .connect({
            Net_74,
            Net_76
        })
    );
    defparam D_2.comp_name = "LED_v1_0";
    defparam D_2.port_names = "A, K";
    defparam D_2.width = 2;

    cy_annotation_universal_v1_0 GND_1 (
        .connect({
            Net_75
        })
    );
    defparam GND_1.comp_name = "Gnd_v1_0";
    defparam GND_1.port_names = "T1";
    defparam GND_1.width = 1;

    cy_annotation_universal_v1_0 GND_2 (
        .connect({
            Net_76
        })
    );
    defparam GND_2.comp_name = "Gnd_v1_0";
    defparam GND_2.port_names = "T1";
    defparam GND_2.width = 1;



endmodule

